Skip to main content
GET
/
v5
/
evaluation-items
List Evaluation Items
curl --request GET \
  --url https://api.egp.scale.com/v5/evaluation-items \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "id": "<string>",
      "created_by": {
        "id": "<string>",
        "type": "user",
        "object": "identity"
      },
      "evaluation_id": "<string>",
      "data": {},
      "created_at": "2023-11-07T05:31:56Z",
      "object": "evaluation.item",
      "dataset_item_id": "<string>",
      "dataset_item_version_num": 123,
      "files": {},
      "task_errors": {},
      "archived_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "has_more": true,
  "object": "list",
  "limit": 100
}

Authorizations

x-api-key
string
header
required

Headers

x-selected-account-id
string | null

Query Parameters

include_archived
boolean
default:false
evaluation_id
string | null
completion_status
enum<string> | null

Filter items by completion status. Pass 'failed' to return only items with errors, 'passed' for items without errors. Pass 'all' or omit to return all items. Filter for evaluation item completion status based on task errors.

Available options:
failed,
passed,
all
starting_after
string | null
ending_before
string | null
limit
integer
default:100
Required range: 1 <= x <= 10000
sort_by
string | null
sort_order
enum<string> | null
default:asc
Available options:
asc,
desc

Response

Successful Response

items
Items · object[]
required
total
integer
required

The total of items that match the query. This is greater than or equal to the number of items returned.

has_more
boolean
required

Whether there are more items left to be fetched.

object
string
default:list
Allowed value: "list"
limit
integer
default:100

The maximum number of items to return.